Skip to main content
POST
/
workspace
/
{workspace_id}
/
audit_log
/
search
Search workspace audit logs
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/audit_log/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "page": 1,
  "per_page": 50,
  "sort": {
    "id": "desc"
  },
  "search": []
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/audit_log/search"

payload = {
"page": 1,
"per_page": 50,
"sort": { "id": "desc" },
"search": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, per_page: 50, sort: {id: 'desc'}, search: []})
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/audit_log/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "type": "<string>",
      "msg": "<string>",
      "label": [
        "<string>"
      ],
      "data": {},
      "obj": {
        "type": "<string>",
        "id": 123
      },
      "user": {
        "id": 123,
        "email": "jsmith@example.com"
      },
      "workspace": {
        "id": 123,
        "name": "<string>"
      },
      "branch": {
        "id": 123,
        "label": "<string>"
      }
    }
  ],
  "itemsReceived": 123,
  "curPage": 123,
  "nextPage": 123,
  "prevPage": 123,
  "offset": 123,
  "perPage": 123,
  "itemsTotal": 123,
  "pageTotal": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Body

page
integer<int64>
default:1
per_page
integer<int64>
default:50
include_data
boolean
sort
object

Response

Success!

items
object[]
itemsReceived
integer<int64>
curPage
integer<int64>
nextPage
integer<int64> | null
prevPage
integer<int64> | null
offset
integer<int64>
perPage
integer<int64>
itemsTotal
integer<int64>
pageTotal
integer<int64>